Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.builder
Class CommandBuilder

    java.lang.Object
      com.pmease.quickbuild.builder.Builder
          com.pmease.quickbuild.builder.CommandBuilder

All Implemented Interfaces:
  java.io.Serializable

public class CommandBuilder
extends Builder

Implements for a command line builder

See Also:
  Serialized Form

Constructor Summary
`CommandBuilder()`

Method Summary
`java.lang.String` | `constructBuildCmd(Build build)` Construct command to run ant
`java.lang.String` | `constructBuildCmdDir(Build build)` Constructs the directory to run build command in
`java.lang.String` | `getCommand()` OGNL: Specify the build command.
`java.lang.String` | `getDirToRunCmd()` OGNL: The directory to run the build command in.
`void` | `setCommand(java.lang.String command)`
`void` | `setDirToRunCmd(java.lang.String dirToRunCmd)`

Methods inherited from class com.pmease.quickbuild.builder.Builder
`equals, execute, getBuildSuccessCondition, getBuildSuccessConditionChoices, getEditor, getEnvironments, getName, getNameChoices, getResult, hashCode, logContainsLine, setBuildSuccessCondition, setEditor, setEnvironments, setName, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandBuilder

    public CommandBuilder()

Method Detail

### getCommand

    public java.lang.String getCommand()

  OGNL: Specify the build command. For example:
  /path/to/command.bat \"${build.version}\" \"${build.artifactsDir}\"
  NOTE: Command or argument containing spaces should be quoted in order not be interpreted as multiple arguments.

  Returns:

### setCommand

    public void setCommand(java.lang.String command)

### getDirToRunCmd

    public java.lang.String getDirToRunCmd()

  OGNL: The directory to run the build command in. If this path is not an absolute path, it is assumed to be relative to current configuration's checkouts directory.

  Returns:

### setDirToRunCmd

    public void setDirToRunCmd(java.lang.String dirToRunCmd)

### constructBuildCmd

    public java.lang.String constructBuildCmd(Build build)

  Construct command to run ant

  Specified by:
    `constructBuildCmd` in class `Builder`
  Returns:

### constructBuildCmdDir

    public java.lang.String constructBuildCmdDir(Build build)

  Description copied from class: `Builder`
  Constructs the directory to run build command in

  Specified by:
    `constructBuildCmdDir` in class `Builder`
  Returns:
    the directory to run build command in. Null if do not care where to run build command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.